## fglrx-driver 11-11

=== debian/changelog ===
fglrx-driver (1:11-11-3) unstable; urgency=low

  [ Andreas Beckmann ]
  * Add new packages amd-libopencl1, amd-opencl-icd and amd-clinfo as the
    OpenCL libraries are now shipped with the driver instead of the SDK.

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 18 Nov 2011 20:06:50 +0100

fglrx-driver (1:11-11-2) unstable; urgency=low

  [ Andreas Beckmann ]
  * Fix xserver-xorg-core dependency.

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 18 Nov 2011 15:32:08 +0100

fglrx-driver (1:11-11-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * Use wildcards instead of multiarch paths in lintian overrides.
    (Closes: #646974)
  * Bump glx-alternative-fglrx dependency to 0.2.

  [ Michael Gilbert ]
  * New upstream release 11-11:
    - Supports xorg-video-abi-11 (closes: #639875).
  * Add dep5 revision number to the copyright file.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Fri, 18 Nov 2011 00:26:25 -0500

fglrx-driver (1:11-10-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 02 Nov 2011 12:49:24 +0100

fglrx-driver (1:11-9-2) unstable; urgency=low

  [ Andreas Beckmann ]
  * Add switchlibGL/switchlibglx scripts to enable
        aticonfig --px-dgpu | --px-igpu | --px-list
    which switches between the two GPUs (discrete/AMD and integrated/Intel)
    in some laptops with hybrid GPUs. (Closes: 643773)

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 16 Oct 2011 15:19:00 +0200

fglrx-driver (1:11-9-1) unstable; urgency=low

  * New upstream release.
    Closes: #644275
    - GNOME3 shell interface corruptions should be gone.
      Closes: #632098

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 05 Oct 2011 21:05:39 +0200

fglrx-driver (1:11-8-3) unstable; urgency=low

  [ Andreas Beckmann ]
  * Use wildcards instead of multiarch paths in lintian overrides.
  * Add Breaks: make (= 3.82-1) because the make version in experimental
    breaks kernel module build, see #635317.
  * Move libXvBAW.so.1, libAMDXvBA.so.1, libAMDXvBA.cap to new package
    libxvbaw1 which depends on libgl1-fglrx-glx.
  * Add explicit Depends: xserver-xorg-core.
  * Rephrase and synchronize the descriptions.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 17 Sep 2011 17:40:04 +0200

fglrx-driver (1:11-8-2) unstable; urgency=low

  [ Andreas Beckmann ]
  * Bump glx-alternative-fglrx dependency to >= 0.1.92 and drop the libglx.so
    compatibility symlink.
  * Install a list of supported PCI IDs as /usr/share/fglrx/fglrx.ids.
  * Cleanup maintainer scripts and debian/control.
  * Enable multiarch build.
    - Add and use _LIBDIR_ substitution variable.
    - Add Pre-Depends: ${misc:Pre-Depends}.
    - Add Multi-Arch: same.
    - Bump debhelper dependency to 8.1.3 and compat level to 9.
    - Add Build-Depends: rpl and edit fglrx-libGL.so.1.2 with rpl to contain a
      sane search path of ${ORIGIN}/dri for the dri module, s.t. it is still
      found after moving it to the multiarch directory.
    - Add a symlink from /usr/lib/*/dri/fglrx_dri.so to /usr/lib/dri/ s.t.
      fglrx-libglx.so can still find the fglrx_dri.so module.
  * Move shared libraries from fglrx-driver package to new package libfglrx.
    Further splitting does not look promising as there are several libraries
    without proper SONAME and libraries from different upstream releases may
    not be mixed.
  * Move shared libraries (except for libGL.so.1) from fglrx-glx-ia32 package
    to new package libfglrx-ia32.
  * Install the same libraries in libfglrx-ia32 as in libfglrx. E.g. 32-bit
    OpenCL applications need libatical*.so.
  * Move AMD XvBA development files from fglrx-driver package to new package
    libxvbaw-dev.
  * Rename package fglrx-glx to libgl1-fglrx-glx. Keep old name as
    transitional package.
  * Prevent concurrent installation of multiarch packages (lib*:i386) and
    their corresponding biarch packages (lib*-ia32:amd64).
  * Ensure no mismatching versions of fglrx-driver and libgl1-fglrx-glx can be
    installed.
  * Override the experimental lintian tag shlib-calls-exit.
  * Resurrect the fglrx-source package.
  * Add alternate recomends fglrx-kernel-${fglrx:version} to fglrx-driver,
    this virtual package is provided by the dkms package and the module
    packages built from fglrx-source.
  * Prepare support for squeeze-backports:
    - Add instructions for squeeze-backports to README.source and a
      prepare-squeeze-backport target to debian/rules that performs the
      necessary changes.
    - Re-add some maintainer script code to cleanup after the
      /emul/ia32-linux/usr/lib => /usr/lib32 transition.
    - Cleanup /etc/init.d/fglrx-driver.
  * Add myself to Uploaders.

  [ Patrick Matthäi ]
  * Install again the missing libAMDXvBA.cap file. Without it, XvBA will not
    work.
    Closes: #639402
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 04 Sep 2011 19:11:46 +0200

fglrx-driver (1:11-8-1) unstable; urgency=low

  [ Michael Gilbert ]
  * New upstream release:
    - Adjust debian/rules for renamed upstream license file.
  * Remove permission fixes from debian/rules.

  [ Andreas Beckmann ]
  * Add more copyright statements and licenses to debian/copyright.
  * Let dh_installmodules handle the modprobe blacklist config.
  * Move cleanup of old diversions from preinst to postinst.
  * Setup ia32 diversions on upgrades, too.
  * Do not remove the ia32 diversions on purge, again.
  * fglrx-driver: Add Replaces: fglrx-glx (<< 1:11-7-4) for cleaner updates
    from fglrx-glx versions that shipped libglx.so.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Thu, 18 Aug 2011 00:09:15 -0400

fglrx-driver (1:11-7-4) unstable; urgency=low

  [ Andreas Beckmann ]
  * Re-add B-D: libxinerama1.
  * Bump debian/compat to 8.
  * Rename debian/README.hacking to debian/README.source and fix
    get-orig-source instructions.
  * Convert debian/copyright to DEP-5 format.

