=== debian/control ===
Source: fglrx-driver
Section: non-free/x11
Priority: extra
Maintainer: Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>
Uploaders:
 Patrick Matthäi <pmatthaei@debian.org>,
 Michael Gilbert <michael.s.gilbert@gmail.com>,
 Andreas Beckmann <debian@abeckmann.de>,
DM-Upload-Allowed: yes
Build-Depends:
 debhelper (>= 8.1.3),
 bzip2,
 ia32-libs [amd64],
 libxrandr2,
 libxext6,
 libgl1-mesa-glx,
 libqtgui4,
 libxcursor1,
 libxinerama1,
 xsltproc,
 docbook-xml,
 docbook-xsl,
 chrpath,
 automake,
 rpl,
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/pkg-fglrx/fglrx-driver/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-fglrx/fglrx-driver/trunk/
XS-Autobuild: yes
Homepage: http://ati.amd.com/support/drivers/linux/linux-radeon.html

Package: fglrx-driver
Architecture: i386 amd64
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libfglrx (= ${binary:Version}),
 xorg-video-abi-11 | xorg-video-abi-10 | xorg-video-abi-8 | xorg-video-abi-6.0,
 xserver-xorg-core (<< 2:1.11.99),
 glx-alternative-fglrx (>= 0.2),
Recommends:
 fglrx-modules-dkms (= ${binary:Version}) | fglrx-kernel-${fglrx:version},
 libgl1-fglrx-glx (= ${binary:Version}),
 fglrx-glx-ia32 [amd64],
 fglrx-atieventsd,
Suggests:
 fglrx-control,
 xvba-va-driver,
Provides:
 xorg-driver-video,
 xserver-xorg-video-fglrx,
Conflicts:
 ia32-fglrx-driver,
Breaks:
 libgl1-fglrx-glx (<< ${binary:Version}),
 libgl1-fglrx-glx (>> ${binary:Version}),
 nvidia-glx (<< 275.09.07-3),
Replaces:
 fglrx-glx (<< 1:11-7-4),
Description: non-free ATI/AMD RadeonHD display driver
 FGLRX / AMD Catalyst is the non-free proprietary display driver for the
 ATI/AMD RadeonHD and FireGL graphics cards. As an alternative, you may try
 the newest free driver xserver-xorg-video-radeon.
 .
 This package provides display drivers and hardware accelerated OpenGL
 for X.Org. For 3D acceleration to work, you will need to
 compile the fglrx kernel module for your kernel: see the fglrx-modules-dkms
 package. Note that the driver will work without the kernel module, but 3D
 acceleration will be disabled.
 .
 The driver can work with plain MESA libGL, but some applications may require
 the proprietary libGL. This library is shipped in the libgl1-fglrx-glx package.

Package: libfglrx
Section: non-free/libs
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 libxvbaw1 (= ${binary:Version}),
Conflicts:
 libfglrx-ia32 [i386],
Breaks:
 fglrx-driver (<< 1:11-8-2),
Replaces:
 fglrx-driver (<< 1:11-8-2),
Description: non-free ATI/AMD RadeonHD display driver (runtime libraries)
 FGLRX / AMD Catalyst is the non-free proprietary display driver for the
 ATI/AMD RadeonHD and FireGL graphics cards. As an alternative, you may try
 the newest free driver xserver-xorg-video-radeon.
 .
 This package contains the runtime libraries.
 The proprietary libGL library is shipped in the libgl1-fglrx-glx package.

Package: libxvbaw1
Section: non-free/libs
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libgl1-fglrx-glx (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Breaks:
 fglrx-driver (<< 1:11-8-3~),
 libfglrx (<< 1:11-8-3~),
Replaces:
 fglrx-driver (<< 1:11-8-3~),
 libfglrx (<< 1:11-8-3~),
Description: AMD XvBA (X-Video Bitstream Acceleration) runtime libraries
 X-Video Bitstream Acceleration (XvBA), designed by AMD for its (ATI) Radeon GPU
 and Fusion APU, is an arbitrary extension of the X video extension (Xv) for the
 X Window System on Linux operating-systems. XvBA API allows video programs to
 offload portions of the video decoding process to the GPU video-hardware.
 Currently, the portions designed to be offloaded by XvBA onto the GPU are
 motion compensation (MC) and inverse discrete cosine transform (IDCT), and
 variable-length decoding (VLD) for MPEG-2, MPEG-4 AVC (H.264) and VC-1 encoded
 video.
 .
 This package contains the runtime libraries.

Package: libxvbaw-dev
Section: non-free/libdevel
Architecture: i386 amd64
Depends:
 libxvbaw1 (= ${binary:Version}),
 ${misc:Depends},
Breaks:
 fglrx-driver (<< 1:11-8-2),
Replaces:
 fglrx-driver (<< 1:11-8-2),
Description: AMD XvBA (X-Video Bitstream Acceleration) development files
 X-Video Bitstream Acceleration (XvBA), designed by AMD for its (ATI) Radeon GPU
 and Fusion APU, is an arbitrary extension of the X video extension (Xv) for the
 X Window System on Linux operating-systems. XvBA API allows video programs to
 offload portions of the video decoding process to the GPU video-hardware.
 Currently, the portions designed to be offloaded by XvBA onto the GPU are
 motion compensation (MC) and inverse discrete cosine transform (IDCT), and
 variable-length decoding (VLD) for MPEG-2, MPEG-4 AVC (H.264) and VC-1 encoded
 video.
 .
 This package contains the development files.

Package: libgl1-fglrx-glx
Section: non-free/libs
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 glx-alternative-fglrx (>= 0.2),
Conflicts:
 fglrx-glx-ia32 [i386],
Breaks:
 fglrx-glx (<< 1:11-8-2),
 nvidia-glx (<< 275.09.07-3),
 libgl1-nvidia-glx (<< 275.09.07-3)
Replaces:
 fglrx-glx (<< 1:11-8-2),
Description: proprietary libGL for the non-free ATI/AMD RadeonHD display driver
 FGLRX / AMD Catalyst is the non-free proprietary display driver for the
 ATI/AMD RadeonHD and FireGL graphics cards. As an alternative, you may try
 the newest free driver xserver-xorg-video-radeon.
 .
 This package provides the proprietary libGL shipped by ATI/AMD.

Package: fglrx-glx
Section: non-free/oldlibs
Architecture: i386 amd64
Depends:
 libgl1-fglrx-glx,
 ${misc:Depends},
Description: transitional package, use libgl1-fglrx-glx
 This is a transitional package to aid migration to libgl1-fglrx-glx.
 It can be safely removed from the system once nothing depends on it.

Package: fglrx-glx-ia32
Architecture: amd64
Pre-Depends:
 libc6-i386 (>= 2.9-18),
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libfglrx-ia32 (= ${binary:Version}),
 fglrx-driver (= ${binary:Version}),
Conflicts:
 nvidia-glx-ia32,
 ia32-fglrx-glx,
Description: proprietary libGL for the non-free ATI/AMD RadeonHD display driver (32-bit)
 FGLRX / AMD Catalyst is the non-free proprietary display driver for the
 ATI/AMD RadeonHD and FireGL graphics cards. As an alternative, you may try
 the newest free driver xserver-xorg-video-radeon.
 .
 This package provides the proprietary 32-bit libGL shipped by ATI/AMD for
 emulated userspace on amd64.

Package: libfglrx-ia32
Section: non-free/libs
Architecture: amd64
Pre-Depends:
 libc6-i386 (>= 2.9-18),
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Breaks:
 fglrx-glx-ia32 (<< 1:11-8-2),
Replaces:
 fglrx-glx-ia32 (<< 1:11-8-2),
Description: non-free ATI/AMD RadeonHD display driver (32-bit runtime libraries)
 FGLRX / AMD Catalyst is the non-free proprietary display driver for the
 ATI/AMD RadeonHD and FireGL graphics cards. As an alternative, you may try
 the newest free driver xserver-xorg-video-radeon.
 .
 This package contains the 32-bit runtime libraries.
 The proprietary libGL library is shipped in the fglrx-glx-ia32 package.

Package: fglrx-modules-dkms
Section: non-free/kernel
Architecture: i386 amd64
Depends:
 ${misc:Depends},
 dkms,
Suggests:
 fglrx-driver,
Provides:
 fglrx-kernel-${fglrx:version},
Breaks:
 make (= 3.82-1),
Description: dkms module source for the non-free ATI/AMD RadeonHD display driver
 FGLRX / AMD Catalyst is the non-free proprietary display driver for the
 ATI/AMD RadeonHD and FireGL graphics cards. As an alternative, you may try
 the newest free driver xserver-xorg-video-radeon.
 .
 This package provides the kernel build environment and the fglrx modules,
 which are necessary to have accelerated 3D support within the ATI/AMD
 proprietary display driver.
 .
 This package contains the source for the fglrx kernel module, packaged with
 appropriate configuration for DKMS to build new modules dynamically.

Package: fglrx-source
Section: non-free/kernel
Architecture: i386 amd64
Depends:
 ${misc:Depends},
 debhelper (>= 8),
 make,
 bzip2,
Recommends:
 module-assistant | kernel-package,
Suggests:
 fglrx-driver,
Conflicts:
 fglrx-kernel-src,
Breaks:
 make (= 3.82-1),
Description: kernel module source for the non-free ATI/AMD RadeonHD display driver
 FGLRX / AMD Catalyst is the non-free proprietary display driver for the
 ATI/AMD RadeonHD and FireGL graphics cards. As an alternative, you may try
 the newest free driver xserver-xorg-video-radeon.
 .
 This package provides the kernel build environment and the fglrx modules,
 which are necessary to have accelerated 3D support within the ATI/AMD
 proprietary display driver.
 .
 This package contains the source for the fglrx kernel module for use with 
 module-assistant or make-kpkg or other manual build methods.

Package: fglrx-control
Architecture: i386 amd64
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 fglrx-driver,
Provides:
 fglrx-control-qt3,
Replaces:
 fglrx-control-qt3,
 fglrx-amdcccle,
Conflicts:
 fglrx-control-qt3,
 fglrx-control-qt2,
Description: control panel for the non-free ATI/AMD RadeonHD display driver
 Control panel for the ATI/AMD RadeonHD and FireGL graphics cards.
 .
 The control panel shows detailed information on your display adapter
 and allows you to set dual screen options, adjust gamma correction
 and set TV out options.

Package: fglrx-atieventsd
Architecture: i386 amd64
Pre-Depends:
 dpkg (>= 1.15.7.2),
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lsb-base,
Recommends:
 fglrx-driver (= ${binary:Version}),
 acpid,
Breaks:
 fglrx-driver (<< 1:8-4-2),
Replaces:
 fglrx-driver (<< 1:8-4-2),
Description: external events daemon for the non-free ATI/AMD RadeonHD display driver
 FGLRX / AMD Catalyst is the non-free proprietary display driver for the
 ATI/AMD RadeonHD and FireGL graphics cards. As an alternative, you may try
 the newest free driver xserver-xorg-video-radeon.
 .
 The ATI External Events Daemon atieventsd is a user-level application
 that monitors various system events such as ACPI or hotplug, then
 notifies the driver via the X extensions interface that the event has
 occured.
 .
 This package provides the atieventsd daemon.

Package: amd-opencl-icd
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libopencl1,
 ${shlibs:Depends},
 ${misc:Depends}
Enhances:
 libopencl1,
Provides:
 opencl-icd,
Homepage: http://developer.amd.com/zones/openclzone/pages/default.aspx
Description: AMD OpenCL ICD
 OpenCL (Open Computing Language) is a multivendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package provides the AMD installable client driver (ICD) for OpenCL.

Package: amd-libopencl1
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 opencl-icd | amd-opencl-icd,
Provides:
 libopencl1,
Conflicts:
 nvidia-libopencl1,
 nvidia-libopencl1-ia32 [i386],
Homepage: http://developer.amd.com/zones/openclzone/pages/default.aspx
Description: AMD OpenCL library
 OpenCL (Open Computing Language) is a multivendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package contains the installable client driver loader (ICD Loader)
 library provided by AMD.

Package: amd-clinfo
Architecture: i386 amd64
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 opencl-icd | amd-opencl-icd,
Homepage: http://developer.amd.com/zones/openclzone/pages/default.aspx
Description: AMD OpenCL info utility
 OpenCL (Open Computing Language) is a multivendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package contains the clinfo utility provided by AMD.
