## fglrx-driver 11-12

=== debian/changelog ===
fglrx-driver (1:11-12-1) unstable; urgency=low

  [ Patrick Matthäi ]
  * New upstream release.
    - PPLib powermode save patch already have been merged.
      Closes: #650991
  * Add some notes about the not working 64bit kernel and 32bit userland
    configuration to README.source.
    Closes: #651775
  * Remove old lintian override about an spelling error in amdcccle.

  [ Andreas Beckmann ]
  * Add Conflicts: amd-app. (Package from unknown source.) (Closes: #650660)

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 16 Dec 2011 22:35:33 +0100
