## fglrx-driver 12-1

=== debian/changelog ===
fglrx-driver (1:12-1-1) unstable; urgency=low

  * New upstream release.
    - The installer name has been changed from ati to amd, adjust debian/rules
      and debian/watch.a
    - Some users on the Phoronix Forums report that AMD/Intel discrete crash
      bugs are gone.
      Closes: #649239
  * Add minimal clinfo.1 manpage to the amd-clinfo package.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 26 Jan 2012 14:02:01 +0100
