=== debian/control ===
--- 
+++ 
@@ -46,6 +46,7 @@
 Suggests:
  fglrx-control,
  xvba-va-driver,
+ amd-opencl-icd,
 Provides:
  xorg-driver-video,
  xserver-xorg-video-fglrx,
@@ -334,6 +335,8 @@
  libopencl1,
 Provides:
  opencl-icd,
+Conflicts:
+ amd-app,
 Homepage: http://developer.amd.com/zones/openclzone/pages/default.aspx
 Description: AMD OpenCL ICD
  OpenCL (Open Computing Language) is a multivendor open standard for
@@ -357,6 +360,7 @@
 Conflicts:
  nvidia-libopencl1,
  nvidia-libopencl1-ia32 [i386],
+ amd-app,
 Homepage: http://developer.amd.com/zones/openclzone/pages/default.aspx
 Description: AMD OpenCL library
  OpenCL (Open Computing Language) is a multivendor open standard for
