=== debian/rules ===
--- 
+++ 
@@ -110,7 +110,7 @@
 
 ifneq (,$(filter VER=%,$(DEB_BUILD_OPTIONS)))
 NEW_UPSTREAM_VERSION=$(patsubst VER=%,%,$(filter VER=%,$(DEB_BUILD_OPTIONS)))
-INSTALLER=ati-driver-installer-$(NEW_UPSTREAM_VERSION)-x86.x86_64.run
+INSTALLER=amd-driver-installer-$(NEW_UPSTREAM_VERSION)-x86.x86_64.run
 URL_PATH=www2.ati.com/drivers/linux
 CACHEDIR=/tmp
 endif
