=== debian/watch ===
version=3
http://support.amd.com/us/gpudownload/linux/Pages/radeon_linux.aspx?type=2.4.1&product=2.4.1.3.36&lang=English .*/linux/amd-driver-installer-(.*)-x86.x86_64.run
