## fglrx-driver 12-3

=== debian/changelog ===
fglrx-driver (1:12-3-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Disable multiarch build.
  * Reduce Build-Depends: debhelper and compat level to 8.

 -- Andreas Beckmann <debian@abeckmann.de>  Sun, 22 Apr 2012 18:53:42 +0200

fglrx-driver (1:12-3-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * Fix misspelling in postinst.  (Closes: #663884)

  [ Patrick Matthäi ]
  * New upstream release.
    - Remove unused lintian override no-upstream-changelog on fglrx-glx.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 28 Mar 2012 18:28:51 +0200

fglrx-driver (1:12-2-2) unstable; urgency=high

  [ Patrick Matthäi ]
  * Add patch 04-x86-ftbfs to fix a FTBFS with Linux >= 3.2.8 on 32bit systems.
    Closes: #663107
  * Remove redundant spelling-error-in-binary lintian overrides.

  [ Andreas Beckmann ]
  * Edit libAMDXvBA.so.1.0 and rename libAMDXvBA.cap to allow two different
    versions for i386 and amd64.  (Closes: #663097)
  * Use final copyright-format/1.0 URL.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 10 Mar 2012 00:55:50 +0100

fglrx-driver (1:12-2-1) unstable; urgency=low

  [ Patrick Matthäi ]
  * New upstream release.
    - Drop merged patch 01-CONFIG_X86_XEN.
    - Adjust fglrx-driver lintian overrides.
    - X11 crashes on playing videos with hardware accelerated video backends
      are gone.
      Closes: #649346
    - This release may support 7970 chipsets.
      Closes: #660017
  * Bump Standards-Version to 3.9.3 (no changed needed).

  [ Andreas Beckmann ]
  * Correctly remove obsolete /etc/acpi/fglrx-powermode.sh.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 07 Mar 2012 19:18:55 +0100

fglrx-driver (1:12-1-2) unstable; urgency=low

  [ Andreas Beckmann ]
  * Edit binaries fglrx_drv.so, aticonfig, atieventsd, and amdcccle to replace
    a hardcoded path to /usr/lib64/fglrx/switchlib* on amd64.
  * Install /usr/lib/fglrx/switchlibglx as a file instead of a symbolic link
    to avoid "world writable file" warning because of checking with lstat().
    (Closes: #657604)
  * amd-opencl-icd: Add libSlotMaximizer{Ag,Be}.so libraries.
  * Bump debhelper dependency to 9.
  * Redirect bug reports against module binary packages to fglrx-source.
  * Switch to dh --with dkms. Let dh_dkms generate the maintainer scripts.

  [ Patrick Matthäi ]
  * Include all installed fglrx packages in the bug-script.
  * Remove all acpi scripts. The whole powermanagement is handled by the driver
    itself.
  * Add notice in README.Debian about VariBright.
    Closes: #652334

 -- Andreas Beckmann <debian@abeckmann.de>  Sun, 19 Feb 2012 12:29:54 +0100

fglrx-driver (1:11-4-2~bpo60+1) squeeze-backports; urgency=low

  * backported to squeeze.
  * depend on squeeze's xserver-xorg 7.5 and xorg-video-abi 6.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 18 Jun 2011 23:50:13 -0400
