=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Andreas Beckmann <debian@abeckmann.de>,
 DM-Upload-Allowed: yes
 Build-Depends:
- debhelper (>= 8.1.3),
+ debhelper (>= 8.1.0~),
  bzip2,
  ia32-libs [amd64],
  libxrandr2,
@@ -23,7 +23,8 @@
  chrpath,
  automake,
  rpl,
-Standards-Version: 3.9.2
+ dkms (>= 2.1.1.1),
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/pkg-fglrx/fglrx-driver/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-fglrx/fglrx-driver/trunk/
 XS-Autobuild: yes
@@ -31,6 +32,8 @@
 
 Package: fglrx-driver
 Architecture: i386 amd64
+Pre-Depends:
+ dpkg (>= 1.15.7.2),
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -75,7 +78,6 @@
 Package: libfglrx
 Section: non-free/libs
 Architecture: i386 amd64
-Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
@@ -100,7 +102,6 @@
 Package: libxvbaw1
 Section: non-free/libs
 Architecture: i386 amd64
-Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
@@ -150,7 +151,6 @@
 Package: libgl1-fglrx-glx
 Section: non-free/libs
 Architecture: i386 amd64
-Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
@@ -227,7 +227,7 @@
 Architecture: i386 amd64
 Depends:
  ${misc:Depends},
- dkms,
+ dkms (>= 2.1),
 Suggests:
  fglrx-driver,
 Provides:
@@ -324,7 +324,6 @@
 
 Package: amd-opencl-icd
 Architecture: i386 amd64
-Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
@@ -347,7 +346,6 @@
 
 Package: amd-libopencl1
 Architecture: i386 amd64
-Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends}
 Depends:
