=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
-packagename=$(shell dpkg-parsechangelog | sed -nr '/^Source:/s/Source: (.*)/\1/p')
-upstream_version=$(shell dpkg-parsechangelog|grep "^Version:"|cut -d" " -f2|rev|cut -d- -f2-|rev|cut -d':' -f2)
+packagename		:= $(shell dpkg-parsechangelog | sed -nr '/^Source:/s/Source: (.*)/\1/p')
+upstream_version	:= $(shell dpkg-parsechangelog | sed -nr '/^Version:/s/Version: (.*:)?(.*)-(.*)/\2/p')
 
 DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
@@ -10,17 +10,20 @@
 arch=x86_64
 xpic=xpic_64a
 lib=lib64
+cap=AMDXvBAx64.cap
 else
 arch=x86
 xpic=xpic
 lib=lib
+cap=AMDXvBAx86.cap
 endif
 
-MULTIARCH	?= yes
+#MULTIARCH	?= yes
 libdir		 = usr/lib$(if $(MULTIARCH),/$(DEB_HOST_MULTIARCH))
 
 generated=$(shell ls debian/*.in | sed s/\.in$$//g)
 generated	+= fglrx.ids
+generated	+= debian/switchlibglx
 
 %: %.in
 	sed -r -e 's%_VERSION_%$(upstream_version)%g' \
@@ -31,12 +34,14 @@
 	       < $< > $@
 
 %:
-	dh $@
+	dh $@ --with dkms
 
 override_dh_auto_clean:
 	test ! -f debian/man/Makefile || $(MAKE) -C debian/man maintainer-clean
 	rm -f LICENSE.txt
 	rm -f $(generated)
+	rm -f arch/x86/usr/X11R6/lib/AMDXvBAx86.cap
+	rm -f arch/x86_64/usr/X11R6/lib64/AMDXvBAx64.cap
 
 # Reformat the LICENSE to the format needed for debian/copyright.
 LICENSE.txt: LICENSE.TXT
@@ -54,13 +59,26 @@
 	cat $< | sed -n -r -e '/FGL_ASIC_ID/ s/.*\(0x(.{4})\).*/1002\1/p' \
 		| tr a-z A-Z | sort -u > $@
 
+debian/switchlibglx: debian/switchlibGL
+	ln $< $@
+
 override_dh_auto_configure: $(generated) compare-copyright-license
 	cd debian/man && ./autogen.sh --copy
 	cd debian/man && ./configure --prefix=/usr --mandir=/usr/share/man \
 	    --with-xserver=Xorg
 
 override_dh_auto_build:
+	ln arch/x86/usr/X11R6/lib/libAMDXvBA.cap arch/x86/usr/X11R6/lib/AMDXvBAx86.cap
+	ln arch/x86_64/usr/X11R6/lib64/libAMDXvBA.cap arch/x86_64/usr/X11R6/lib64/AMDXvBAx64.cap
 	$(MAKE) -C debian/man
+
+# On amd64, AMD hardcoded some paths to /usr/lib64/fglrx/switchlibgl*, and
+# prevents working around this with symlinks because they check the files
+# with lstat() and thereafter complain about world writability.
+badlib64files	 = ./debian/fglrx-driver/usr/lib/fglrx/fglrx_drv.so
+badlib64files	+= ./debian/fglrx-atieventsd/usr/sbin/atieventsd
+badlib64files	+= ./debian/fglrx-control/usr/bin/amdcccle
+badlib64files	+= ./debian/fglrx-driver/usr/bin/aticonfig
 
 override_dh_install:
 	dh_install
@@ -73,10 +91,17 @@
 		rpl -e	'/usr/X11R6/lib/modules/dri\0' \
 			'$${ORIGIN}/dri\0!!!!!!!!!!!!\0' \
 			debian/fglrx-glx-ia32/usr/lib32/fglrx-libGL.so.1.2
+	rpl -e	'/usr/lib64/fglrx' \
+		'/usr/lib///fglrx' \
+		$(badlib64files)
+	rpl -e 'libAMDXvBA.cap' '$(cap)' debian/libxvbaw1/$(libdir)/libAMDXvBA.so.1.0
 	chmod a+x debian/fglrx-source/usr/src/modules/fglrx/debian/rules
 	tar cfj debian/fglrx-source/usr/src/fglrx.tar.bz2 \
 		--owner=root --group=src --remove-files \
 		--directory debian/fglrx-source/usr/src/ modules
+
+override_dh_dkms:
+	dh_dkms -V $(upstream_version)
 
 # Install reportbug files in all binary packages
 override_dh_bugfiles:
@@ -100,7 +125,7 @@
 prepare-squeeze-backport:
 	echo 8 > debian/compat
 	sed -i -e '/^MULTIARCH/ s/^/#/' debian/rules
-	sed -i -e 's/debhelper (>= 8.1.*)/debhelper (>= 8.1.0~)/' \
+	sed -i -e 's/debhelper (>= 9.*)/debhelper (>= 8.1.0~)/' \
 	       -e '/^Multi-Arch:/ d' debian/control
 	sed -i -e '/fglrx_dri.so/ s/^/#/' debian/fglrx-driver.links.in
 	debchange --bpo "Disable multiarch build."
