## fglrx-driver 12-6%2Bpoint

=== debian/changelog ===
fglrx-driver (1:12-6+point-3) unstable; urgency=low

  [ Debconf translations ]
  * Czech (cs): Michal Šimůnek                    (Closes: #688135)
  * Danish (da): Joe Hansen                       (Closes: #689259)
  * French (fr): Christian Perrier                (Closes: #688489)
  * German (de): Holger Wansing                   (Closes: #688496)
  * Italian (it): Beatrice Torracca               (Closes: #689348)
  * Japanese (ja): Kenshi Muto                    (Closes: #688103)
  * Polish (pl): Michał Kułach                    (Closes: #688788)
  * Portuguese (pt): Américo Monteiro             (Closes: #688178)
  * Russion (ru): Yuri Kozlov                     (Closes: #688324)
  * Spanish (es): Javier Fernández-Sanguino Peña  (Closes: #689459)
  * Swedish (sv): Martin Bagge                    (Closes: #688425)

  [ Andreas Beckmann ]
  * libgl1-fglrx-glx:i386: Breaks: ia32-libs (<< 1:0). ia32-libs has added an
    epoch to not clash with updated monolithic packages in proposed-updates.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 03 Oct 2012 15:20:13 +0200

fglrx-driver (1:12-6+point-2) unstable; urgency=low

  * fglrx-driver.postrm: Do not fail if the debconf templates are not
    available (i.e. if the package is unconfigured).
  * fglrx-source: Add Built-Using attribute to the generated module packages
    to record the exact versions of linux and fglrx-driver that were used
    during the build.
  * libgl1-fglrx-glx:i386: Add Breaks: ia32-libs (<< 20120701) because that is
    still shipping /usr/lib32/libGL.so.1 which gets no longer diverted away.
    (Closes: #683853)
  * fglrx-atieventsd: Add Depends: glx-alternative-fglrx to ensure the
    triggers are processed and the glx alternative is properly setup before
    the atieventsd is started.  (See: #684000)
  * Check for "UNSIGNED" in /etc/ati/signature during package build to
    prevent reappearence of bugs like #684702.
  * Update Homepage to point to AMD.
  * Update watch file.
  * README.Debian: Add link to unofficial bugzilla for upstream bug reports.
  * fglrx-driver.NEWS, libfglrx.templates: Mention the availability of
    fglrx-legacy-driver which supports the legacy Radeon HD 2000/3000/4000.
    This package is currently only in experimental but it will be provided in
    wheezy-backports, too.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 19 Sep 2012 12:02:40 +0200

fglrx-driver (1:12-6+point-1) unstable; urgency=low

  [ Debconf translations ]
  * Italian (it): Beatrice Torracca         (Closes: #682263)
  * Japanese (ja): Kenshi Muto              (Closes: #683134)

  [ Patrick Matthäi ]
  * New upstream point release. AMD gave us the permission, to release this
    driver based on internal version 8.982.13.
    - X11 crashes on amd64 are fixed.
      Closes: #675940
    - Drop patch 01-fglrx_kernel_3.4.0, it has been merged by upstream.

  [ Andreas Beckmann ]
  * 01-fglrx_kernel_3.5.0.diff: New patch from Hans-Frieder Vogt, fix kernel
    module build for kernel 3.5.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 30 Jul 2012 18:06:47 +0200

fglrx-driver (1:12-6-3) unstable; urgency=low

  [ Andreas Beckmann ]
  * Fix encoding of cs.po from 2xUTF8 to UTF8.
  * Prepare for co-existence with fglrx-{legacy,firepro}-driver variants:
    - Add more Provides/Conflicts/Replaces on new virtual packages.
    - Add support for variant specific settings in debian/rules.defs.
    - Add support for on-the-fly renaming of debian/*{fglrx => fglrx-$FOO}*.
    - Add information about supported models to the long descriptions.
    - Add support for adding a variant note to the short descriptions.
    - Add ${fglrx} and ${fglrx:Variant} substvars to simplify replacing the
      'fglrx' part of package names with 'fglrx-$FOO'.
  * debian/rules get-orig-source:
    - Add support for zipped installers.
    - Add support for using the internal version as upstream version.
  * Switch to Michael Gilbert's @debian.org address.
  * Remove old conffile /etc/default/fglrx-driver, obsolete since the removal
    of the acpi scripts in 1:12-1-2.
  * Rename libxvbaw1 to libfglrx-amdxvba1, provide libxvbaw1 as a virtual
    package.
  * Convert *-ia32 into transitional packages due to ia32-libs transition:
    - Add multiarch instructions to long descriptions.
    - $pkg-ia32 Recommends: $pkg-i386

  [ Patrick Matthäi ]
  * Use again the signature file from fglrx itself. The imported one is only
    required for beta releases.

  [ Debconf translations ]
  * Danish (da): Joe Hansen                 (Closes: #680361)
  * French (fr): Christian Perrier          (Closes: #679868)
  * Spanish (es): Fernando C. Estrada       (Closes: #680199)

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 18 Jul 2012 20:34:39 +0200

fglrx-driver (1:12-6-2) unstable; urgency=low

  [ Andreas Beckmann ]
  * amd-libopencl1: Provides/Conflicts/Replaces: libopencl1.
    (Closes: #679038)
  * libgl1-fglrx-glx [i386]: Provides new virtual package
    libgl1-fglrx-glx-i386 which gets recommended by fglrx-driver [amd64].
  * libfglrx.preinst: Check for no longer supported GPUs based on R6xx/R7xx
    and ask (with debconf) whether to install the driver anyway.
    Add Pre-Depends: debconf, pciutils.
  * fglrx-driver.{config,postinst}: Present a debconf note about needing
    manual Xorg configuration to enable the fglrx driver.
  * fglrx-driver.postrm: Present a debconf note if the driver was removed, but
    it is still enabled in xorg.conf(.d/).
  * control, rules: Add debconf infrastructure.
  * 01-fglrx_kernel_3.4.0.patch: New patch from Fedora, fix kernel module
    build for kernel 3.4.  (Closes: #678184)

  [ Debconf translations ]
  * Czech (cs): Michal Simunek              (Closes: #678678)
  * Galician (gl): Jorge Barreiro Gonzalez  (Closes: #678463)
  * German (de): Holger Wansing             (Closes: #679480)
  * Polish (pl): Michał Kułach              (Closes: #679435)
  * Portuguese (pt): Américo Monteiro       (Closes: #679575)
